Subject: Re: bug#48393: Can't build installer on aarch64 / v86d fails to build on aarch64

From: Timotej Lazar <[email-masked]>
Date: Fri, 20 Aug 2021 13:16:02 +0200

Leo Famulari <[email-masked]> [2021-05-12 22:01:29-0400]:
> I tried building the installer on my aarch64 computer, but it fails to
> build v86d, as shown below.

I just hit this one too. It’s been discussed previously[0]; as you note,
the problem is that v86d is built even though it’s not used on aarch64.
The patch in [1] works when compiling natively, not sure about cross
compiling.

I tried unsuccessfully to get the solution with let-system[2] to work,
maybe someone better versed in gexps can help?

[0] https://bugs.gnu.org/41120
[1] https://bugs.gnu.org/41120#20
[2] https://bugs.gnu.org/41120#23